Unsupported Browser Error

What browsers are supported by Submittable?

Pam English avatar
Written by Pam English
Updated over a week ago

If you receive the following error, updating your browser to the most recent version may resolve the issue.

Your browser is out of date and this may impact your experience using Submittable. Please update to the latest version of your browser.

This error is caused by a web browser running an unsupported version of Transport Layer Security (TLS).

What is TLS?

Transport Layer Security, or TLS, is a security system that encrypts data passed over the internet, preventing eavesdropping or interference with the data. The TLS protocol is used to transmit sensitive data such as credit card numbers, passwords, and personal correspondences.

Note: Most browsers already use the most recent version of TLS by default, and once the browser is updated will require no further action on your part.

For more information on the TLS protocol, see TLS Basics from the Internet Society website.

What version of TLS is supported for browsing?

In order to keep your experience and data secure, Submittable requires a browser running TLS 1.2 or later. If you are using an out-of-date browser, your experience may be impacted.

To resolve this issue, first update your browser to the most recent version. If you are unsure if your browser is supported, please find your browser on the SSL Support page at Wikipedia.

Did this answer your question?